ResourceTypeDecorator (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.resourcemanagement.support.client.views
Enum ResourceTypeDecorator

    java.lang.Object
      java.lang.Enum<ResourceTypeDecorator>
          org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator

All Implemented Interfaces:
  Serializable, Comparable<ResourceTypeDecorator>

    public enum ResourceTypeDecorator

extends Enum<ResourceTypeDecorator>

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`AddScopeReport`
`Collection`
`DeployReport`
`Empty`
`GenericResource`
`GHN` RESOURCES IN THE TREE
`GHNRelated` Related resources
`InstallableSoftware` Other components
`RunningInstance`
`RunningInstanceRelated`
`RuntimeResource`
`Service`
`ServiceRelated`
`Sweeper_GHN` Models for SWEEPER
`Sweeper_GHN_Dead`
`Sweeper_GHN_Expired`
`Sweeper_RI`
`Sweeper_RI_Orphan`
`VIEW`
`WSResource`

Method Summary
`String` | `getFWSName()`
`String` | `getIcon()`
`String` | `getLabel()`
`static ResourceTypeDecorator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResourceTypeDecorator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GHN

    public static final ResourceTypeDecorator GHN

  RESOURCES IN THE TREE

### RunningInstance

    public static final ResourceTypeDecorator RunningInstance

### Service

    public static final ResourceTypeDecorator Service

### VIEW

    public static final ResourceTypeDecorator VIEW

### GenericResource

    public static final ResourceTypeDecorator GenericResource

### Collection

    public static final ResourceTypeDecorator Collection

### WSResource

    public static final ResourceTypeDecorator WSResource

### Empty

    public static final ResourceTypeDecorator Empty

### RuntimeResource

    public static final ResourceTypeDecorator RuntimeResource

### InstallableSoftware

    public static final ResourceTypeDecorator InstallableSoftware

  Other components

### DeployReport

    public static final ResourceTypeDecorator DeployReport

### AddScopeReport

    public static final ResourceTypeDecorator AddScopeReport

### GHNRelated

    public static final ResourceTypeDecorator GHNRelated

  Related resources

### ServiceRelated

    public static final ResourceTypeDecorator ServiceRelated

### RunningInstanceRelated

    public static final ResourceTypeDecorator RunningInstanceRelated

### Sweeper_GHN

    public static final ResourceTypeDecorator Sweeper_GHN

  Models for SWEEPER

### Sweeper_RI

    public static final ResourceTypeDecorator Sweeper_RI

### Sweeper_RI_Orphan

    public static final ResourceTypeDecorator Sweeper_RI_Orphan

### Sweeper_GHN_Expired

    public static final ResourceTypeDecorator Sweeper_GHN_Expired

### Sweeper_GHN_Dead

    public static final ResourceTypeDecorator Sweeper_GHN_Dead

Method Detail

### values

    public static ResourceTypeDecorator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResourceTypeDecorator c : ResourceTypeDecorator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResourceTypeDecorator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLabel

    public String getLabel()

### getIcon

    public String getIcon()

### getFWSName

    public String getFWSName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.